> ## Documentation Index
> Fetch the complete documentation index at: https://docs.julep.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Developer Secrets

> List all secrets for a developer.

Args:
    x_developer_id: ID of the developer whose secrets to list
    limit: Maximum number of secrets to return
    offset: Number of secrets to skip

Returns:
    List of secrets



## OpenAPI

````yaml https://api.julep.ai/api/openapi.json get /secrets
openapi: 3.1.0
info:
  title: Julep Agents API
  description: API for Julep Agents
  termsOfService: https://www.julep.ai/terms
  contact:
    name: Julep
    url: https://www.julep.ai/
    email: developers@julep.ai
  version: 0.4.0
servers:
  - url: /api
security: []
paths:
  /secrets:
    get:
      tags:
        - secrets
      summary: List Developer Secrets
      description: |-
        List all secrets for a developer.

        Args:
            x_developer_id: ID of the developer whose secrets to list
            limit: Maximum number of secrets to return
            offset: Number of secrets to skip

        Returns:
            List of secrets
      operationId: list_developer_secrets_secrets_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Secret'
                title: Response List Developer Secrets Secrets Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Secret:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          readOnly: true
        created_at:
          type: string
          format: date-time
          title: Created At
          readOnly: true
        updated_at:
          type: string
          format: date-time
          title: Updated At
          readOnly: true
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        value:
          type: string
          title: Value
      type: object
      required:
        - id
        - created_at
        - updated_at
        - name
        - value
      title: Secret
      description: A secret that can be used in tasks and sessions
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````